1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18# $Id$
19
20# $Id$
21
22# $Id$
23
24
25
26VPATH = @srcdir@
27pkgdatadir = $(datadir)/@PACKAGE@
28pkgincludedir = $(includedir)/@PACKAGE@
29pkglibdir = $(libdir)/@PACKAGE@
30pkglibexecdir = $(libexecdir)/@PACKAGE@
31am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32install_sh_DATA = $(install_sh) -c -m 644
33install_sh_PROGRAM = $(install_sh) -c
34install_sh_SCRIPT = $(install_sh) -c
35INSTALL_HEADER = $(INSTALL_DATA)
36transform = $(program_transform_name)
37NORMAL_INSTALL = :
38PRE_INSTALL = :
39POST_INSTALL = :
40NORMAL_UNINSTALL = :
41PRE_UNINSTALL = :
42POST_UNINSTALL = :
43build_triplet = @build@
44host_triplet = @host@
45DIST_COMMON = $(include_HEADERS) $(srcdir)/Makefile.am \
46	$(srcdir)/Makefile.in $(top_srcdir)/Makefile.am.common \
47	$(top_srcdir)/cf/Makefile.am.common ChangeLog lex.c parse.c \
48	parse.h
49@versionscript_TRUE@am__append_1 = $(LDFLAGS_VERSION_SCRIPT)$(srcdir)/version-script.map
50bin_PROGRAMS = compile_et$(EXEEXT)
51subdir = lib/com_err
52ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
53am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
54	$(top_srcdir)/cf/auth-modules.m4 \
55	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
56	$(top_srcdir)/cf/broken-glob.m4 \
57	$(top_srcdir)/cf/broken-realloc.m4 \
58	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
59	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
60	$(top_srcdir)/cf/capabilities.m4 \
61	$(top_srcdir)/cf/check-compile-et.m4 \
62	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
63	$(top_srcdir)/cf/check-man.m4 \
64	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
65	$(top_srcdir)/cf/check-type-extra.m4 \
66	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
67	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
68	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
69	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
70	$(top_srcdir)/cf/find-func-no-libs.m4 \
71	$(top_srcdir)/cf/find-func-no-libs2.m4 \
72	$(top_srcdir)/cf/find-func.m4 \
73	$(top_srcdir)/cf/find-if-not-broken.m4 \
74	$(top_srcdir)/cf/framework-security.m4 \
75	$(top_srcdir)/cf/have-struct-field.m4 \
76	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
77	$(top_srcdir)/cf/krb-bigendian.m4 \
78	$(top_srcdir)/cf/krb-func-getlogin.m4 \
79	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
80	$(top_srcdir)/cf/krb-readline.m4 \
81	$(top_srcdir)/cf/krb-struct-spwd.m4 \
82	$(top_srcdir)/cf/krb-struct-winsize.m4 \
83	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
84	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
85	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
86	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
87	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
88	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
89	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
90	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
91	$(top_srcdir)/cf/roken-frag.m4 \
92	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
93	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
94	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
95	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
96	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
97am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
98	$(ACLOCAL_M4)
99mkinstalldirs = $(install_sh) -d
100CONFIG_HEADER = $(top_builddir)/include/config.h
101CONFIG_CLEAN_FILES =
102CONFIG_CLEAN_VPATH_FILES =
103am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
104am__vpath_adj = case $$p in \
105    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
106    *) f=$$p;; \
107  esac;
108am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
109am__install_max = 40
110am__nobase_strip_setup = \
111  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
112am__nobase_strip = \
113  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
114am__nobase_list = $(am__nobase_strip_setup); \
115  for p in $$list; do echo "$$p $$p"; done | \
116  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
117  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
118    if (++n[$$2] == $(am__install_max)) \
119      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
120    END { for (dir in files) print dir, files[dir] }'
121am__base_list = \
122  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
123  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
124am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" \
125	"$(DESTDIR)$(includedir)"
126LTLIBRARIES = $(lib_LTLIBRARIES)
127am__DEPENDENCIES_1 =
128dist_libcom_err_la_OBJECTS = libcom_err_la-error.lo \
129	libcom_err_la-com_err.lo
130@do_roken_rename_TRUE@nodist_libcom_err_la_OBJECTS =  \
131@do_roken_rename_TRUE@	libcom_err_la-snprintf.lo \
132@do_roken_rename_TRUE@	libcom_err_la-strlcpy.lo
133libcom_err_la_OBJECTS = $(dist_libcom_err_la_OBJECTS) \
134	$(nodist_libcom_err_la_OBJECTS)
135libcom_err_la_LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) \
136	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
137	$(libcom_err_la_LDFLAGS) $(LDFLAGS) -o $@
138PROGRAMS = $(bin_PROGRAMS)
139am_compile_et_OBJECTS = compile_et.$(OBJEXT) parse.$(OBJEXT) \
140	lex.$(OBJEXT)
141compile_et_OBJECTS = $(am_compile_et_OBJECTS)
142compile_et_DEPENDENCIES = libcom_err.la $(am__DEPENDENCIES_1) \
143	$(am__DEPENDENCIES_1)
144depcomp = $(SHELL) $(top_srcdir)/depcomp
145am__depfiles_maybe = depfiles
146am__mv = mv -f
147COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
148	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
149LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
150	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
151	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
152CCLD = $(CC)
153LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
154	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
155	$(LDFLAGS) -o $@
156@MAINTAINER_MODE_FALSE@am__skiplex = test -f $@ ||
157LEXCOMPILE = $(LEX) $(LFLAGS) $(AM_LFLAGS)
158LTLEXCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
159	--mode=compile $(LEX) $(LFLAGS) $(AM_LFLAGS)
160YLWRAP = $(top_srcdir)/ylwrap
161@MAINTAINER_MODE_FALSE@am__skipyacc = test -f $@ ||
162YACCCOMPILE = $(YACC) $(YFLAGS) $(AM_YFLAGS)
163LTYACCCOMPILE = $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
164	--mode=compile $(YACC) $(YFLAGS) $(AM_YFLAGS)
165SOURCES = $(dist_libcom_err_la_SOURCES) \
166	$(nodist_libcom_err_la_SOURCES) $(compile_et_SOURCES)
167DIST_SOURCES = $(dist_libcom_err_la_SOURCES) $(compile_et_SOURCES)
168HEADERS = $(include_HEADERS)
169ETAGS = etags
170CTAGS = ctags
171DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
172ACLOCAL = @ACLOCAL@
173AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
174AMTAR = @AMTAR@
175AR = @AR@
176ASN1_COMPILE = @ASN1_COMPILE@
177ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
178AUTOCONF = @AUTOCONF@
179AUTOHEADER = @AUTOHEADER@
180AUTOMAKE = @AUTOMAKE@
181AWK = @AWK@
182CANONICAL_HOST = @CANONICAL_HOST@
183CAPNG_CFLAGS = @CAPNG_CFLAGS@
184CAPNG_LIBS = @CAPNG_LIBS@
185CATMAN = @CATMAN@
186CATMANEXT = @CATMANEXT@
187CC = @CC@
188CCDEPMODE = @CCDEPMODE@
189CFLAGS = @CFLAGS@
190COMPILE_ET = @COMPILE_ET@
191CPP = @CPP@
192CPPFLAGS = @CPPFLAGS@
193CYGPATH_W = @CYGPATH_W@
194DBHEADER = @DBHEADER@
195DBLIB = @DBLIB@
196DEFS = @DEFS@
197DEPDIR = @DEPDIR@
198DIR_com_err = @DIR_com_err@
199DIR_hcrypto = @DIR_hcrypto@
200DIR_hdbdir = @DIR_hdbdir@
201DIR_roken = @DIR_roken@
202DLLTOOL = @DLLTOOL@
203DSYMUTIL = @DSYMUTIL@
204DUMPBIN = @DUMPBIN@
205ECHO_C = @ECHO_C@
206ECHO_N = @ECHO_N@
207ECHO_T = @ECHO_T@
208EGREP = @EGREP@
209EXEEXT = @EXEEXT@
210FGREP = @FGREP@
211GREP = @GREP@
212GROFF = @GROFF@
213INCLUDES_roken = @INCLUDES_roken@
214INCLUDE_hcrypto = @INCLUDE_hcrypto@
215INCLUDE_hesiod = @INCLUDE_hesiod@
216INCLUDE_krb4 = @INCLUDE_krb4@
217INCLUDE_libedit = @INCLUDE_libedit@
218INCLUDE_libintl = @INCLUDE_libintl@
219INCLUDE_openldap = @INCLUDE_openldap@
220INCLUDE_readline = @INCLUDE_readline@
221INCLUDE_sqlite3 = @INCLUDE_sqlite3@
222INSTALL = @INSTALL@
223INSTALL_DATA = @INSTALL_DATA@
224INSTALL_PROGRAM = @INSTALL_PROGRAM@
225INSTALL_SCRIPT = @INSTALL_SCRIPT@
226INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
227LD = @LD@
228LDFLAGS = @LDFLAGS@
229LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
230LEX = @LEX@
231LEXLIB = @LEXLIB@
232LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
233LIBADD_roken = @LIBADD_roken@
234LIBOBJS = @LIBOBJS@
235LIBS = @LIBS@
236LIBTOOL = @LIBTOOL@
237LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
238LIB_NDBM = @LIB_NDBM@
239LIB_XauFileName = @LIB_XauFileName@
240LIB_XauReadAuth = @LIB_XauReadAuth@
241LIB_XauWriteAuth = @LIB_XauWriteAuth@
242LIB_bswap16 = @LIB_bswap16@
243LIB_bswap32 = @LIB_bswap32@
244LIB_com_err = @LIB_com_err@
245LIB_com_err_a = @LIB_com_err_a@
246LIB_com_err_so = @LIB_com_err_so@
247LIB_crypt = @LIB_crypt@
248LIB_db_create = @LIB_db_create@
249LIB_dbm_firstkey = @LIB_dbm_firstkey@
250LIB_dbopen = @LIB_dbopen@
251LIB_dispatch_async_f = @LIB_dispatch_async_f@
252LIB_dlopen = @LIB_dlopen@
253LIB_dn_expand = @LIB_dn_expand@
254LIB_dns_search = @LIB_dns_search@
255LIB_door_create = @LIB_door_create@
256LIB_freeaddrinfo = @LIB_freeaddrinfo@
257LIB_gai_strerror = @LIB_gai_strerror@
258LIB_getaddrinfo = @LIB_getaddrinfo@
259LIB_gethostbyname = @LIB_gethostbyname@
260LIB_gethostbyname2 = @LIB_gethostbyname2@
261LIB_getnameinfo = @LIB_getnameinfo@
262LIB_getpwnam_r = @LIB_getpwnam_r@
263LIB_getsockopt = @LIB_getsockopt@
264LIB_hcrypto = @LIB_hcrypto@
265LIB_hcrypto_a = @LIB_hcrypto_a@
266LIB_hcrypto_appl = @LIB_hcrypto_appl@
267LIB_hcrypto_so = @LIB_hcrypto_so@
268LIB_hesiod = @LIB_hesiod@
269LIB_hstrerror = @LIB_hstrerror@
270LIB_kdb = @LIB_kdb@
271LIB_krb4 = @LIB_krb4@
272LIB_libedit = @LIB_libedit@
273LIB_libintl = @LIB_libintl@
274LIB_loadquery = @LIB_loadquery@
275LIB_logout = @LIB_logout@
276LIB_logwtmp = @LIB_logwtmp@
277LIB_openldap = @LIB_openldap@
278LIB_openpty = @LIB_openpty@
279LIB_otp = @LIB_otp@
280LIB_pidfile = @LIB_pidfile@
281LIB_readline = @LIB_readline@
282LIB_res_ndestroy = @LIB_res_ndestroy@
283LIB_res_nsearch = @LIB_res_nsearch@
284LIB_res_search = @LIB_res_search@
285LIB_roken = @LIB_roken@
286LIB_security = @LIB_security@
287LIB_setsockopt = @LIB_setsockopt@
288LIB_socket = @LIB_socket@
289LIB_sqlite3 = @LIB_sqlite3@
290LIB_syslog = @LIB_syslog@
291LIB_tgetent = @LIB_tgetent@
292LIPO = @LIPO@
293LN_S = @LN_S@
294LTLIBOBJS = @LTLIBOBJS@
295MAINT = @MAINT@
296MAKEINFO = @MAKEINFO@
297MANIFEST_TOOL = @MANIFEST_TOOL@
298MKDIR_P = @MKDIR_P@
299NM = @NM@
300NMEDIT = @NMEDIT@
301NO_AFS = @NO_AFS@
302NROFF = @NROFF@
303OBJDUMP = @OBJDUMP@
304OBJEXT = @OBJEXT@
305OTOOL = @OTOOL@
306OTOOL64 = @OTOOL64@
307PACKAGE = @PACKAGE@
308PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
309PACKAGE_NAME = @PACKAGE_NAME@
310PACKAGE_STRING = @PACKAGE_STRING@
311PACKAGE_TARNAME = @PACKAGE_TARNAME@
312PACKAGE_URL = @PACKAGE_URL@
313PACKAGE_VERSION = @PACKAGE_VERSION@
314PATH_SEPARATOR = @PATH_SEPARATOR@
315PKG_CONFIG = @PKG_CONFIG@
316PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
317PTHREAD_LDADD = @PTHREAD_LDADD@
318PTHREAD_LIBADD = @PTHREAD_LIBADD@
319RANLIB = @RANLIB@
320SED = @SED@
321SET_MAKE = @SET_MAKE@
322SHELL = @SHELL@
323SLC = @SLC@
324SLC_DEP = @SLC_DEP@
325STRIP = @STRIP@
326VERSION = @VERSION@
327VERSIONING = @VERSIONING@
328WFLAGS = @WFLAGS@
329WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
330WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
331XMKMF = @XMKMF@
332X_CFLAGS = @X_CFLAGS@
333X_EXTRA_LIBS = @X_EXTRA_LIBS@
334X_LIBS = @X_LIBS@
335X_PRE_LIBS = @X_PRE_LIBS@
336YACC = @YACC@
337YFLAGS = -d
338abs_builddir = @abs_builddir@
339abs_srcdir = @abs_srcdir@
340abs_top_builddir = @abs_top_builddir@
341abs_top_srcdir = @abs_top_srcdir@
342ac_ct_AR = @ac_ct_AR@
343ac_ct_CC = @ac_ct_CC@
344ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
345am__include = @am__include@
346am__leading_dot = @am__leading_dot@
347am__quote = @am__quote@
348am__tar = @am__tar@
349am__untar = @am__untar@
350bindir = @bindir@
351build = @build@
352build_alias = @build_alias@
353build_cpu = @build_cpu@
354build_os = @build_os@
355build_vendor = @build_vendor@
356builddir = @builddir@
357datadir = @datadir@
358datarootdir = @datarootdir@
359docdir = @docdir@
360dpagaix_cflags = @dpagaix_cflags@
361dpagaix_ldadd = @dpagaix_ldadd@
362dpagaix_ldflags = @dpagaix_ldflags@
363dvidir = @dvidir@
364exec_prefix = @exec_prefix@
365host = @host@
366host_alias = @host_alias@
367host_cpu = @host_cpu@
368host_os = @host_os@
369host_vendor = @host_vendor@
370htmldir = @htmldir@
371includedir = @includedir@
372infodir = @infodir@
373install_sh = @install_sh@
374libdir = @libdir@
375libexecdir = @libexecdir@
376localedir = @localedir@
377localstatedir = @localstatedir@
378mandir = @mandir@
379mkdir_p = @mkdir_p@
380oldincludedir = @oldincludedir@
381pdfdir = @pdfdir@
382prefix = @prefix@
383program_transform_name = @program_transform_name@
384psdir = @psdir@
385sbindir = @sbindir@
386sharedstatedir = @sharedstatedir@
387srcdir = @srcdir@
388subdirs = @subdirs@
389sysconfdir = @sysconfdir@
390target_alias = @target_alias@
391top_build_prefix = @top_build_prefix@
392top_builddir = @top_builddir@
393top_srcdir = @top_srcdir@
394SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
395DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
396AM_CPPFLAGS = $(INCLUDES_roken)
397@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
398AM_CFLAGS = $(WFLAGS)
399CP = cp
400buildinclude = $(top_builddir)/include
401LIB_el_init = @LIB_el_init@
402LIB_getattr = @LIB_getattr@
403LIB_getpwent_r = @LIB_getpwent_r@
404LIB_odm_initialize = @LIB_odm_initialize@
405LIB_setpcred = @LIB_setpcred@
406HESIODLIB = @HESIODLIB@
407HESIODINCLUDE = @HESIODINCLUDE@
408libexec_heimdaldir = $(libexecdir)/heimdal
409NROFF_MAN = groff -mandoc -Tascii
410LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
411@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
412@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
413
414@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
415LIB_heimbase = $(top_builddir)/base/libheimbase.la
416@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
417lib_LTLIBRARIES = libcom_err.la
418libcom_err_la_LDFLAGS = -version-info 2:3:1 $(am__append_1)
419libcom_err_la_LIBADD = $(LIB_libintl)
420include_HEADERS = com_err.h com_right.h
421compile_et_SOURCES = compile_et.c compile_et.h parse.y lex.l lex.h
422libcom_err_la_CPPFLAGS = $(ROKEN_RENAME) $(INCLUDE_libintl)
423dist_libcom_err_la_SOURCES = error.c com_err.c roken_rename.h
424@do_roken_rename_TRUE@nodist_libcom_err_la_SOURCES = snprintf.c strlcpy.c
425libcom_err_la_DEPENDENCIES = version-script.map
426compile_et_LDADD = \
427	libcom_err.la \
428	$(LIB_roken) \
429	$(LEXLIB)
430
431EXTRA_DIST = \
432	NTMakefile \
433	compile_et-version.rc \
434	libcom_err-version.rc \
435	libcom_err-exports.def \
436	version-script.map
437
438all: all-am
439
440.SUFFIXES:
441.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .l .lo .o .obj .y
442$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
443	@for dep in $?; do \
444	  case '$(am__configure_deps)' in \
445	    *$$dep*) \
446	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
447	        && { if test -f $@; then exit 0; else break; fi; }; \
448	      exit 1;; \
449	  esac; \
450	done; \
451	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/com_err/Makefile'; \
452	$(am__cd) $(top_srcdir) && \
453	  $(AUTOMAKE) --foreign lib/com_err/Makefile
454.PRECIOUS: Makefile
455Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
456	@case '$?' in \
457	  *config.status*) \
458	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
459	  *) \
460	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
461	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
462	esac;
463
464$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
465	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
466
467$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
468	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
469$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
470	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
471$(am__aclocal_m4_deps):
472install-libLTLIBRARIES: $(lib_LTLIBRARIES)
473	@$(NORMAL_INSTALL)
474	test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
475	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
476	list2=; for p in $$list; do \
477	  if test -f $$p; then \
478	    list2="$$list2 $$p"; \
479	  else :; fi; \
480	done; \
481	test -z "$$list2" || { \
482	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(libdir)'"; \
483	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(libdir)"; \
484	}
485
486uninstall-libLTLIBRARIES:
487	@$(NORMAL_UNINSTALL)
488	@list='$(lib_LTLIBRARIES)'; test -n "$(libdir)" || list=; \
489	for p in $$list; do \
490	  $(am__strip_dir) \
491	  echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(libdir)/$$f'"; \
492	  $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(libdir)/$$f"; \
493	done
494
495clean-libLTLIBRARIES:
496	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
497	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
498	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
499	  test "$$dir" != "$$p" || dir=.; \
500	  echo "rm -f \"$${dir}/so_locations\""; \
501	  rm -f "$${dir}/so_locations"; \
502	done
503libcom_err.la: $(libcom_err_la_OBJECTS) $(libcom_err_la_DEPENDENCIES) 
504	$(libcom_err_la_LINK) -rpath $(libdir) $(libcom_err_la_OBJECTS) $(libcom_err_la_LIBADD) $(LIBS)
505install-binPROGRAMS: $(bin_PROGRAMS)
506	@$(NORMAL_INSTALL)
507	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
508	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
509	for p in $$list; do echo "$$p $$p"; done | \
510	sed 's/$(EXEEXT)$$//' | \
511	while read p p1; do if test -f $$p || test -f $$p1; \
512	  then echo "$$p"; echo "$$p"; else :; fi; \
513	done | \
514	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
515	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
516	sed 'N;N;N;s,\n, ,g' | \
517	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
518	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
519	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
520	    else { print "f", $$3 "/" $$4, $$1; } } \
521	  END { for (d in files) print "f", d, files[d] }' | \
522	while read type dir files; do \
523	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
524	    test -z "$$files" || { \
525	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
526	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
527	    } \
528	; done
529
530uninstall-binPROGRAMS:
531	@$(NORMAL_UNINSTALL)
532	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
533	files=`for p in $$list; do echo "$$p"; done | \
534	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
535	      -e 's/$$/$(EXEEXT)/' `; \
536	test -n "$$list" || exit 0; \
537	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
538	cd "$(DESTDIR)$(bindir)" && rm -f $$files
539
540clean-binPROGRAMS:
541	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
542	echo " rm -f" $$list; \
543	rm -f $$list || exit $$?; \
544	test -n "$(EXEEXT)" || exit 0; \
545	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
546	echo " rm -f" $$list; \
547	rm -f $$list
548parse.h: parse.c
549	@if test ! -f $@; then \
550	  rm -f parse.c; \
551	  $(MAKE) $(AM_MAKEFLAGS) parse.c; \
552	else :; fi
553compile_et$(EXEEXT): $(compile_et_OBJECTS) $(compile_et_DEPENDENCIES) 
554	@rm -f compile_et$(EXEEXT)
555	$(LINK) $(compile_et_OBJECTS) $(compile_et_LDADD) $(LIBS)
556
557mostlyclean-compile:
558	-rm -f *.$(OBJEXT)
559
560distclean-compile:
561	-rm -f *.tab.c
562
563@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compile_et.Po@am__quote@
564@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lex.Po@am__quote@
565@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcom_err_la-com_err.Plo@am__quote@
566@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcom_err_la-error.Plo@am__quote@
567@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcom_err_la-snprintf.Plo@am__quote@
568@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcom_err_la-strlcpy.Plo@am__quote@
569@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parse.Po@am__quote@
570
571.c.o:
572@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
573@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
574@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
575@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
576@am__fastdepCC_FALSE@	$(COMPILE) -c $<
577
578.c.obj:
579@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
580@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
581@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
582@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
583@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
584
585.c.lo:
586@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
587@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
588@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
589@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
590@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
591
592libcom_err_la-error.lo: error.c
593@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcom_err_la-error.lo -MD -MP -MF $(DEPDIR)/libcom_err_la-error.Tpo -c -o libcom_err_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c
594@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libcom_err_la-error.Tpo $(DEPDIR)/libcom_err_la-error.Plo
595@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='error.c' object='libcom_err_la-error.lo' libtool=yes @AMDEPBACKSLASH@
596@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
597@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcom_err_la-error.lo `test -f 'error.c' || echo '$(srcdir)/'`error.c
598
599libcom_err_la-com_err.lo: com_err.c
600@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcom_err_la-com_err.lo -MD -MP -MF $(DEPDIR)/libcom_err_la-com_err.Tpo -c -o libcom_err_la-com_err.lo `test -f 'com_err.c' || echo '$(srcdir)/'`com_err.c
601@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libcom_err_la-com_err.Tpo $(DEPDIR)/libcom_err_la-com_err.Plo
602@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='com_err.c' object='libcom_err_la-com_err.lo' libtool=yes @AMDEPBACKSLASH@
603@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
604@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcom_err_la-com_err.lo `test -f 'com_err.c' || echo '$(srcdir)/'`com_err.c
605
606libcom_err_la-snprintf.lo: snprintf.c
607@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcom_err_la-snprintf.lo -MD -MP -MF $(DEPDIR)/libcom_err_la-snprintf.Tpo -c -o libcom_err_la-snprintf.lo `test -f 'snprintf.c' || echo '$(srcdir)/'`snprintf.c
608@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libcom_err_la-snprintf.Tpo $(DEPDIR)/libcom_err_la-snprintf.Plo
609@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='snprintf.c' object='libcom_err_la-snprintf.lo' libtool=yes @AMDEPBACKSLASH@
610@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
611@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcom_err_la-snprintf.lo `test -f 'snprintf.c' || echo '$(srcdir)/'`snprintf.c
612
613libcom_err_la-strlcpy.lo: strlcpy.c
614@am__fastdepCC_TRUE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT libcom_err_la-strlcpy.lo -MD -MP -MF $(DEPDIR)/libcom_err_la-strlcpy.Tpo -c -o libcom_err_la-strlcpy.lo `test -f 'strlcpy.c' || echo '$(srcdir)/'`strlcpy.c
615@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/libcom_err_la-strlcpy.Tpo $(DEPDIR)/libcom_err_la-strlcpy.Plo
616@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='strlcpy.c' object='libcom_err_la-strlcpy.lo' libtool=yes @AMDEPBACKSLASH@
617@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
618@am__fastdepCC_FALSE@	$(LIBTOOL)  --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libcom_err_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o libcom_err_la-strlcpy.lo `test -f 'strlcpy.c' || echo '$(srcdir)/'`strlcpy.c
619
620.l.c:
621	$(am__skiplex) $(SHELL) $(YLWRAP) $< $(LEX_OUTPUT_ROOT).c $@ -- $(LEXCOMPILE)
622
623.y.c:
624	$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h $*.h y.output $*.output -- $(YACCCOMPILE)
625
626mostlyclean-libtool:
627	-rm -f *.lo
628
629clean-libtool:
630	-rm -rf .libs _libs
631install-includeHEADERS: $(include_HEADERS)
632	@$(NORMAL_INSTALL)
633	test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
634	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
635	for p in $$list; do \
636	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
637	  echo "$$d$$p"; \
638	done | $(am__base_list) | \
639	while read files; do \
640	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
641	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
642	done
643
644uninstall-includeHEADERS:
645	@$(NORMAL_UNINSTALL)
646	@list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
647	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
648	test -n "$$files" || exit 0; \
649	echo " ( cd '$(DESTDIR)$(includedir)' && rm -f" $$files ")"; \
650	cd "$(DESTDIR)$(includedir)" && rm -f $$files
651
652ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
653	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
654	unique=`for i in $$list; do \
655	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
656	  done | \
657	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
658	      END { if (nonempty) { for (i in files) print i; }; }'`; \
659	mkid -fID $$unique
660tags: TAGS
661
662TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
663		$(TAGS_FILES) $(LISP)
664	set x; \
665	here=`pwd`; \
666	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
667	unique=`for i in $$list; do \
668	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
669	  done | \
670	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
671	      END { if (nonempty) { for (i in files) print i; }; }'`; \
672	shift; \
673	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
674	  test -n "$$unique" || unique=$$empty_fix; \
675	  if test $$# -gt 0; then \
676	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
677	      "$$@" $$unique; \
678	  else \
679	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
680	      $$unique; \
681	  fi; \
682	fi
683ctags: CTAGS
684CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
685		$(TAGS_FILES) $(LISP)
686	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
687	unique=`for i in $$list; do \
688	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
689	  done | \
690	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
691	      END { if (nonempty) { for (i in files) print i; }; }'`; \
692	test -z "$(CTAGS_ARGS)$$unique" \
693	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
694	     $$unique
695
696GTAGS:
697	here=`$(am__cd) $(top_builddir) && pwd` \
698	  && $(am__cd) $(top_srcdir) \
699	  && gtags -i $(GTAGS_ARGS) "$$here"
700
701distclean-tags:
702	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
703
704distdir: $(DISTFILES)
705	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
706	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
707	list='$(DISTFILES)'; \
708	  dist_files=`for file in $$list; do echo $$file; done | \
709	  sed -e "s|^$$srcdirstrip/||;t" \
710	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
711	case $$dist_files in \
712	  */*) $(MKDIR_P) `echo "$$dist_files" | \
713			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
714			   sort -u` ;; \
715	esac; \
716	for file in $$dist_files; do \
717	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
718	  if test -d $$d/$$file; then \
719	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
720	    if test -d "$(distdir)/$$file"; then \
721	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
722	    fi; \
723	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
724	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
725	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
726	    fi; \
727	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
728	  else \
729	    test -f "$(distdir)/$$file" \
730	    || cp -p $$d/$$file "$(distdir)/$$file" \
731	    || exit 1; \
732	  fi; \
733	done
734	$(MAKE) $(AM_MAKEFLAGS) \
735	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
736	  dist-hook
737check-am: all-am
738	$(MAKE) $(AM_MAKEFLAGS) check-local
739check: check-am
740all-am: Makefile $(LTLIBRARIES) $(PROGRAMS) $(HEADERS) all-local
741install-binPROGRAMS: install-libLTLIBRARIES
742
743installdirs:
744	for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"; do \
745	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
746	done
747install: install-am
748install-exec: install-exec-am
749install-data: install-data-am
750uninstall: uninstall-am
751
752install-am: all-am
753	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
754
755installcheck: installcheck-am
756install-strip:
757	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
758	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
759	  `test -z '$(STRIP)' || \
760	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
761mostlyclean-generic:
762
763clean-generic:
764
765distclean-generic:
766	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
767	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
768
769maintainer-clean-generic:
770	@echo "This command is intended for maintainers to use"
771	@echo "it deletes files that may require special tools to rebuild."
772	-rm -f lex.c
773	-rm -f parse.c
774	-rm -f parse.h
775clean: clean-am
776
777clean-am: clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
778	clean-libtool mostlyclean-am
779
780distclean: distclean-am
781	-rm -rf ./$(DEPDIR)
782	-rm -f Makefile
783distclean-am: clean-am distclean-compile distclean-generic \
784	distclean-tags
785
786dvi: dvi-am
787
788dvi-am:
789
790html: html-am
791
792html-am:
793
794info: info-am
795
796info-am:
797
798install-data-am: install-includeHEADERS
799	@$(NORMAL_INSTALL)
800	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
801install-dvi: install-dvi-am
802
803install-dvi-am:
804
805install-exec-am: install-binPROGRAMS install-libLTLIBRARIES
806	@$(NORMAL_INSTALL)
807	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
808install-html: install-html-am
809
810install-html-am:
811
812install-info: install-info-am
813
814install-info-am:
815
816install-man:
817
818install-pdf: install-pdf-am
819
820install-pdf-am:
821
822install-ps: install-ps-am
823
824install-ps-am:
825
826installcheck-am:
827
828maintainer-clean: maintainer-clean-am
829	-rm -rf ./$(DEPDIR)
830	-rm -f Makefile
831maintainer-clean-am: distclean-am maintainer-clean-generic
832
833mostlyclean: mostlyclean-am
834
835mostlyclean-am: mostlyclean-compile mostlyclean-generic \
836	mostlyclean-libtool
837
838pdf: pdf-am
839
840pdf-am:
841
842ps: ps-am
843
844ps-am:
845
846uninstall-am: uninstall-binPROGRAMS uninstall-includeHEADERS \
847	uninstall-libLTLIBRARIES
848	@$(NORMAL_INSTALL)
849	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
850.MAKE: check-am install-am install-data-am install-exec-am \
851	install-strip uninstall-am
852
853.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
854	clean clean-binPROGRAMS clean-generic clean-libLTLIBRARIES \
855	clean-libtool ctags dist-hook distclean distclean-compile \
856	distclean-generic distclean-libtool distclean-tags distdir dvi \
857	dvi-am html html-am info info-am install install-am \
858	install-binPROGRAMS install-data install-data-am \
859	install-data-hook install-dvi install-dvi-am install-exec \
860	install-exec-am install-exec-hook install-html install-html-am \
861	install-includeHEADERS install-info install-info-am \
862	install-libLTLIBRARIES install-man install-pdf install-pdf-am \
863	install-ps install-ps-am install-strip installcheck \
864	installcheck-am installdirs maintainer-clean \
865	maintainer-clean-generic mostlyclean mostlyclean-compile \
866	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
867	tags uninstall uninstall-am uninstall-binPROGRAMS \
868	uninstall-hook uninstall-includeHEADERS \
869	uninstall-libLTLIBRARIES
870
871
872install-suid-programs:
873	@foo='$(bin_SUIDS)'; \
874	for file in $$foo; do \
875	x=$(DESTDIR)$(bindir)/$$file; \
876	if chown 0:0 $$x && chmod u+s $$x; then :; else \
877	echo "*"; \
878	echo "* Failed to install $$x setuid root"; \
879	echo "*"; \
880	fi; done
881
882install-exec-hook: install-suid-programs
883
884install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
885	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
886	for f in $$foo; do \
887		f=`basename $$f`; \
888		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
889		else file="$$f"; fi; \
890		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
891		: ; else \
892			echo " $(CP) $$file $(buildinclude)/$$f"; \
893			$(CP) $$file $(buildinclude)/$$f; \
894		fi ; \
895	done ; \
896	foo='$(nobase_include_HEADERS)'; \
897	for f in $$foo; do \
898		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
899		else file="$$f"; fi; \
900		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
901		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
902		: ; else \
903			echo " $(CP) $$file $(buildinclude)/$$f"; \
904			$(CP) $$file $(buildinclude)/$$f; \
905		fi ; \
906	done
907
908all-local: install-build-headers
909
910check-local::
911	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
912	  foo=''; elif test '$(CHECK_LOCAL)'; then \
913	  foo='$(CHECK_LOCAL)'; else \
914	  foo='$(PROGRAMS)'; fi; \
915	  if test "$$foo"; then \
916	  failed=0; all=0; \
917	  for i in $$foo; do \
918	    all=`expr $$all + 1`; \
919	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
920	      echo "PASS: $$i"; \
921	    else \
922	      echo "FAIL: $$i"; \
923	      failed=`expr $$failed + 1`; \
924	    fi; \
925	  done; \
926	  if test "$$failed" -eq 0; then \
927	    banner="All $$all tests passed"; \
928	  else \
929	    banner="$$failed of $$all tests failed"; \
930	  fi; \
931	  dashes=`echo "$$banner" | sed s/./=/g`; \
932	  echo "$$dashes"; \
933	  echo "$$banner"; \
934	  echo "$$dashes"; \
935	  test "$$failed" -eq 0 || exit 1; \
936	fi
937
938.x.c:
939	@cmp -s $< $@ 2> /dev/null || cp $< $@
940
941.hx.h:
942	@cmp -s $< $@ 2> /dev/null || cp $< $@
943#NROFF_MAN = nroff -man
944.1.cat1:
945	$(NROFF_MAN) $< > $@
946.3.cat3:
947	$(NROFF_MAN) $< > $@
948.5.cat5:
949	$(NROFF_MAN) $< > $@
950.8.cat8:
951	$(NROFF_MAN) $< > $@
952
953dist-cat1-mans:
954	@foo='$(man1_MANS)'; \
955	bar='$(man_MANS)'; \
956	for i in $$bar; do \
957	case $$i in \
958	*.1) foo="$$foo $$i";; \
959	esac; done ;\
960	for i in $$foo; do \
961		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
962		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
963		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
964	done
965
966dist-cat3-mans:
967	@foo='$(man3_MANS)'; \
968	bar='$(man_MANS)'; \
969	for i in $$bar; do \
970	case $$i in \
971	*.3) foo="$$foo $$i";; \
972	esac; done ;\
973	for i in $$foo; do \
974		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
975		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
976		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
977	done
978
979dist-cat5-mans:
980	@foo='$(man5_MANS)'; \
981	bar='$(man_MANS)'; \
982	for i in $$bar; do \
983	case $$i in \
984	*.5) foo="$$foo $$i";; \
985	esac; done ;\
986	for i in $$foo; do \
987		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
988		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
989		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
990	done
991
992dist-cat8-mans:
993	@foo='$(man8_MANS)'; \
994	bar='$(man_MANS)'; \
995	for i in $$bar; do \
996	case $$i in \
997	*.8) foo="$$foo $$i";; \
998	esac; done ;\
999	for i in $$foo; do \
1000		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
1001		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
1002		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
1003	done
1004
1005dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
1006
1007install-cat-mans:
1008	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1009
1010uninstall-cat-mans:
1011	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
1012
1013install-data-hook: install-cat-mans
1014uninstall-hook: uninstall-cat-mans
1015
1016.et.h:
1017	$(COMPILE_ET) $<
1018.et.c:
1019	$(COMPILE_ET) $<
1020
1021#
1022# Useful target for debugging
1023#
1024
1025check-valgrind:
1026	tobjdir=`cd $(top_builddir) && pwd` ; \
1027	tsrcdir=`cd $(top_srcdir) && pwd` ; \
1028	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
1029
1030#
1031# Target to please samba build farm, builds distfiles in-tree.
1032# Will break when automake changes...
1033#
1034
1035distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
1036	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1037	  if test "$$subdir" != .; then \
1038	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
1039	  fi ; \
1040	done
1041
1042$(compile_et_OBJECTS): parse.h parse.c ## XXX broken automake 1.4s
1043
1044snprintf.c:
1045	$(LN_S) $(srcdir)/../roken/snprintf.c .
1046strlcpy.c:
1047	$(LN_S) $(srcdir)/../roken/strlcpy.c .
1048
1049# Tell versions [3.59,3.63) of GNU make to not export all variables.
1050# Otherwise a system limit (for SysV at least) may be exceeded.
1051.NOEXPORT:
1052